# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /Users/runner/work/bioconda-recipes/bioconda-recipes/recipes/unicycler/0.4.4, last modified Tue Jun 11 15:49:23 2024
# ------------------------------------------------

package:
  name: unicycler
  version: 0.4.4
source:
  - patches:
      - Makefile.patch
      - misc.py.patch
    sha256: e25e7423119aec5e574324c403f8ae36d93c0ce1497853d42c1a49a2a924a1f4
    url: https://github.com/rrwick/Unicycler/archive/v0.4.4.tar.gz
build:
  number: '7'
  string: py311h48ed304_7
requirements:
  build:
    - ca-certificates 2024.6.2 h8857fd0_0
    - cctools_osx-64 986 ha1c5b94_0
    - clang 16.0.6 default_ha3b9224_8
    - clang-16 16.0.6 default_h4c8afb6_8
    - clang_impl_osx-64 16.0.6 h8787910_16
    - clang_osx-64 16.0.6 hb91bd55_16
    - clangxx 16.0.6 default_ha3b9224_8
    - clangxx_impl_osx-64 16.0.6 h6d92fbe_16
    - clangxx_osx-64 16.0.6 hb91bd55_16
    - compiler-rt 16.0.6 ha38d28d_2
    - compiler-rt_osx-64 16.0.6 ha38d28d_2
    - icu 73.2 hf5e326d_0
    - ld64_osx-64 711 ha20a434_0
    - libclang-cpp16 16.0.6 default_h4c8afb6_8
    - libcxx 17.0.6 h88467a6_0
    - libiconv 1.17 hd75f5a5_2
    - libllvm16 16.0.6 hbedff68_3
    - libxml2 2.12.7 h3e169fe_1
    - libzlib 1.3.1 h87427d6_1
    - llvm-tools 16.0.6 hbedff68_3
    - make 4.3 h22f3db7_1
    - openssl 3.3.1 h87427d6_0
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1100.0.11 h9ce4665_0
    - xz 5.2.6 h775f41a_0
    - zstd 1.5.6 h915ae27_0
  host:
    - bzip2 1.0.8 h10d778d_5
    - ca-certificates 2024.6.2 h8857fd0_0
    - libcxx 17.0.6 h88467a6_0
    - libexpat 2.6.2 h73e2aa4_0
    - libffi 3.4.2 h0d85af4_5
    - libsqlite 3.46.0 h1b8f9f3_0
    - libzlib 1.2.13 h87427d6_6
    - ncurses 6.5 h5846eda_0
    - openssl 3.3.1 h87427d6_0
    - pip 24.0 pyhd8ed1ab_0
    - python 3.11.9 h657bba9_0_cpython
    - readline 8.2 h9e318b2_1
    - setuptools 70.0.0 pyhd8ed1ab_0
    - tk 8.6.13 h1abcd95_1
    - tzdata 2024a h0c530f3_0
    - wheel 0.43.0 pyhd8ed1ab_1
    - xz 5.2.6 h775f41a_0
    - zlib 1.2.13 h87427d6_6
  run:
    - blast
    - bowtie2
    - freebayes
    - libcxx >=16
    - libzlib >=1.2.13,<2.0a0
    - miniasm
    - openjdk
    - pilon
    - python >=3.11,<3.12.0a0
    - python_abi 3.11.* *_cp311
    - racon
    - samtools >=1.0
    - spades >=3.6.2
    - zlib
test:
  commands:
    - COLUMNS=80 unicycler -h
    - COLUMNS=80 unicycler_align -h
    - COLUMNS=80 unicycler_check -h
    - COLUMNS=80 unicycler_polish -h
about:
  home: https://github.com/rrwick/Unicycler
  license: GPL-3.0
  license_family: GPL
  license_file: LICENSE
  summary: Hybrid assembly pipeline for bacterial genomes
extra:
  copy_test_source_files: true
  final: true
